<template>
  <div class="lexique">
    <p class="aliases">
      <span class="key">{{ $t("lexical.aliases") }}</span><span class="value">{{ aliases }}</span>
    </p>
    <p class="vulgaris">
      <span class="key">{{ $t("lexical.commonNames") }}</span><span class="value">{{ commonNames }}</span>
    </p>
  </div>
</template>

<script>
  export default {
    computed: {
      aliases () {
        return  this.$root.currentFungus?.getAliases() || "";
      },
      commonNames () {
        return this.$root.currentFungus?.getCommonNames(this.$i18n.locale) || "";
      }
    }
  }
</script>

<style lang="scss" scoped>

.lexique {

  > * {
    margin: 0;
    padding: 0;
    display: flex;
    flex-flow: row;

    .key {
        font-weight: bold;
        width: 150px;
        text-align: right;
        display: inline-block;
        background: #C1D7E7;
        padding: 7px;
    }

    .value {
        flex: 1;
        text-align: left;
        display: inline-block;
        background: #E1EAF0;
        padding: 7px;
    }
  }
}
</style>
